/* 
 * This test case doesn't need to be ran maunally
 * Using runManual() to control when to print out results
 */
exports.runManual = function(tab1, childWin) {
    // did not include keypressed; requires you to have a focusable window
    var events = [
    	'click',
    	'dblclick',
    	'doubletap',
    	'longclick',
    	'longpress',
    	'pinch',
    	'postlayout',
    	'singletap',
    	'swipe',
    	'touchcancel',
    	'touchend',
    	'touchmove',
    	'touchstart',
    	'twofingertap'
    ];
	
	var win = Ti.UI.createWindow({
		backgroundColor: 'black'
	});
	
	var button = Ti.UI.createButton({
		title:'Test',
		width: '100dp',
		height: '50dp'
	});
	
	win.add(button);
	
	var result = '';
    for(var i = 0; i < events.length; i++) {
		var theEvent = events[i];
		
		button.addEventListener(theEvent, function(e) {
			var endTime = new Date().getTime();
			var delta = (endTime - e.startTime);
			
			Ti.API.info('start time: ' + e.startTime);
			Ti.API.info('end time: ' + endTime);
			Ti.API.info('delta: ' + delta)
			
			result += (theEvent + ': ' + delta + '\n');
		});
		
		button.fireEvent(theEvent, {
			startTime: new Date().getTime()
		});
    }
    
    var resultLabel = Ti.UI.createLabel({
		text: result,
		font: { fontSize: 35 },
		width: '150dp'
	});
		
	childWin.add(resultLabel);
    tab1.open(childWin,{animated:true});
}