var threshold = require('acceptablevalues').acceptableValues.scrollingTableview;

exports.runManual = function(tab1, childWin) {
	var startTime = -1; 
	var	endTime = -1;
	var numOfRows = 300;
	var resultLabel = Ti.UI.createLabel({
			font: { fontSize: 48 },
			text: ""
		});
	
	var myWin=Ti.UI.createWindow({fullscreen:false, backgroundColor:'white'});
	
	var tableData = [];
	
	for (var i = 0; i < numOfRows; i++) {
		tableData[i] = {title: ('Row' + i)};
	}
	
	var table = Ti.UI.createTableView({
	  data: tableData
	});
	
	var finishSwitch = Ti.UI.createSwitch({
  		value:true,
		bottom: '10dp'
	});
	
	finishSwitch.addEventListener('change', function() {
		endTime = new Date().getTime();
		
		var delta = (endTime - startTime);
		
		Ti.API.info('Start time is: ' + startTime);
		Ti.API.info('End time is: ' + endTime);
		Ti.API.info('Delta is: ' + delta); 
		
		var resultLabel = Ti.UI.createLabel({
			text: delta,
			font: { fontSize: 48 },
		});
		
		myWin.add(resultLabel);
		myWin.open();
	});
	
	childWin.add(table);
	childWin.add(finishSwitch);
	
	startTime = new Date().getTime();
	tab1.open(childWin,{animated:true});
};

function isOverThreshold(delta) {
	return (delta > threshold) ? 'fail' : 'pass'; 
};